package com.gxwebsoft.common.core.enums;

public enum GreenWebType {
    /**
     * 用户昵称
     */
    nickname_detection,
    /**
     * 聊天互动
     */
    chat_detection,
    /**
     * 动态评论
     */
    comment_detection,
    /**
     * 教学无聊
     */
    pgc_detection,
    /**
     * 图片检测service: baselineCheck通用基线检测
     */
    baselineCheck,
    /**
     * 视频检测
     */
    videoDetection;

  public enum ChatMessageType {
      TEXT( 1, "text"),
      IMAGE(2, "image"),
      VOICE(3, "voice"),
      CARD(4, "card"),
      ;

      private int index;

      private String name;
      ChatMessageType(int i, String text) {
          this.name = text;
          this.index = i;
      }

      public String getName() {
          return name;
      }

      public int getIndex() {
          return index;
      }
  }
}
